
D4Science Infrastructure - Task #362

Limit HTTP Method on accounting-d4s.d4science.org

Jul 08, 2015 12:31 PM - Luca Frosini

Status: Closed Start date: Jul 08, 2015

Priority: Low Due date: Dec 31, 2016

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Enhance Accounting Security   

Infrastructure: Production   

Description

Only HTTP PUT Method should be allowed on accounting-d4s.d4science.org:5984 for the whole internet.

All the other HTTP methods for the moment must be allowed only for ISTI infrastructure. As soon as the Accounting will be fully

operational, as Andrea Dell'Amico suggested we can use a different hostname for that machine and allow the access only from a

limited predefined number of host (e.g. portals, ISTI network).

Related issues:

Blocked by D4Science Infrastructure - Task #1265:  Limit HTTP Method on accou... Closed Oct 27, 2015 Dec 31, 2016

History

#1 - Jul 08, 2015 04:09 PM - Andrea Dell'Amico

Do you need this now? It can be done putting an haproxy instance in front of couchdb, and that's the plan for the production release.

I don't remember anything about the hostname change, btw.

#2 - Jul 08, 2015 04:33 PM - Luca Frosini

No, I don't need it now. It is not urgent.

We discussed about to have only the PUT method accessible from everywhere for accounting-d4s.d4science.org URL and using a a different

hostname (with the same haproxy instance or with a different one in different machine) for the whole CouchDB functionality (web access for admin as

well).

I think this should be done when we will have a cluster and haproxy installed.

I opened a ticket just as reminder for both.

#3 - Sep 03, 2015 10:56 AM - Luca Frosini

- Due date set to Sep 30, 2015

#4 - Oct 08, 2015 04:54 PM - Luca Frosini

- Due date changed from Sep 30, 2015 to Oct 16, 2015

#5 - Oct 23, 2015 05:46 PM - Luca Frosini

- Priority changed from Normal to Low

#6 - Oct 27, 2015 03:20 PM - Luca Frosini

- Subject changed from Limit HTTP Method on accounting-d4s.d4science.org:5984 to Limit HTTP Method on accounting-d4s.d4science.org

- Due date changed from Oct 16, 2015 to Dec 31, 2015

To start to work on this we need to synchronization.

#7 - Oct 27, 2015 03:21 PM - Luca Frosini

- Blocked by Task #1265:  Limit HTTP Method on accounting-d-d4s.d4science.org added

#8 - Oct 27, 2015 03:22 PM - Luca Frosini

- Target version changed from zz - Accouting Facility to Enhance Accounting Security
#9 - Dec 11, 2015 09:49 PM - Luca Frosini

- Due date changed from Dec 31, 2015 to Jan 31, 2016

#10 - May 23, 2016 11:47 AM - Luca Frosini

- Status changed from New to In Progress

#11 - May 23, 2016 11:48 AM - Luca Frosini

- Assignee changed from _InfraScience Systems Engineer to Luca Frosini

#12 - May 23, 2016 11:50 AM - Luca Frosini

- Due date changed from Jan 31, 2016 to Dec 31, 2016

#13 - May 23, 2016 11:52 AM - Luca Frosini

- Assignee changed from Luca Frosini to _InfraScience Systems Engineer

#14 - May 23, 2016 11:52 AM - Luca Frosini

- Status changed from In Progress to Rejected

#15 - May 23, 2016 11:54 AM - Luca Frosini

The accounting is switching to CouchBase so the ticket became invalid. For this reason I set to Rejected

#16 - May 23, 2016 11:55 AM - Luca Frosini

- % Done changed from 0 to 100

#17 - Oct 28, 2016 12:02 PM - Luca Frosini

- Status changed from Rejected to Closed
